Skip to main content
POST
/
v1
/
decision-categories
Create decision category
curl --request POST \
  --url https://staging.api.us.aptlydone.com/settings/v1/decision-categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenantId": "87899b5a-8ec9-4984-a28f-76f349b090f6",
  "categoryName": "Finance",
  "sectionId": "c8bcd3e2-bdf3-4038-b0f3-10821b7fca59"
}
'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:20.711Z",
  "message": "Success",
  "data": {
    "id": "de65c726-e7c2-4414-a663-73481cce67bd",
    "tenantId": "6fe602ae-4f92-41e4-83f4-1f187cb6307e",
    "categoryName": "Finance",
    "isDeleted": false,
    "section": {
      "id": "895f39c5-0896-48a5-bc8d-b8884b15eb42",
      "tenantId": "a647dc83-a274-40ba-aea1-e3117bda5137",
      "sectionName": "Finance Department",
      "isDeleted": false
    },
    "createdAt": "2024-01-15T12:00:00Z",
    "sectionId": "e0ad86e3-662d-4423-8d04-fff24464c1a8"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
tenantId
string
required

Tenant ID

Example:

"87899b5a-8ec9-4984-a28f-76f349b090f6"

categoryName
string
required

Category name

Maximum string length: 50
Example:

"Finance"

sectionId
string

Section ID

Example:

"c8bcd3e2-bdf3-4038-b0f3-10821b7fca59"

Response

201 - application/json

Decision category created successfully

statusCode
number
required

HTTP Status code

Example:

200

timestamp
string
required

Timestamp of the response

Example:

"2026-01-08T06:33:20.711Z"

message
string
required

Response message

Example:

"Success"

data
object
required

Response data